Index: branches/HivePerformance/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/AckleyEvaluatorTest.cs
===================================================================
--- branches/HivePerformance/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/AckleyEvaluatorTest.cs	(revision 9368)
+++ branches/HivePerformance/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/AckleyEvaluatorTest.cs	(revision 9444)
@@ -92,5 +92,5 @@
       for (int dimension = target.MinimumProblemSize; dimension <= System.Math.Min(10, target.MaximumProblemSize); dimension++) {
         point = target.GetBestKnownSolution(dimension);
-        actual = target.EvaluateFunction(point);
+        actual = target.Evaluate(point);
         Assert.AreEqual(expected, actual);
       }
Index: branches/HivePerformance/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/BealeEvaluatorTest.cs
===================================================================
--- branches/HivePerformance/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/BealeEvaluatorTest.cs	(revision 9368)
+++ branches/HivePerformance/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/BealeEvaluatorTest.cs	(revision 9444)
@@ -92,5 +92,5 @@
       for (int dimension = target.MinimumProblemSize; dimension <= System.Math.Min(10, target.MaximumProblemSize); dimension++) {
         point = target.GetBestKnownSolution(dimension);
-        actual = target.EvaluateFunction(point);
+        actual = target.Evaluate(point);
         Assert.AreEqual(expected, actual);
       }
Index: branches/HivePerformance/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/BoothEvaluatorTest.cs
===================================================================
--- branches/HivePerformance/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/BoothEvaluatorTest.cs	(revision 9368)
+++ branches/HivePerformance/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/BoothEvaluatorTest.cs	(revision 9444)
@@ -92,5 +92,5 @@
       for (int dimension = target.MinimumProblemSize; dimension <= System.Math.Min(10, target.MaximumProblemSize); dimension++) {
         point = target.GetBestKnownSolution(dimension);
-        actual = target.EvaluateFunction(point);
+        actual = target.Evaluate(point);
         Assert.AreEqual(expected, actual);
       }
Index: branches/HivePerformance/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/GriewankEvaluatorTest.cs
===================================================================
--- branches/HivePerformance/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/GriewankEvaluatorTest.cs	(revision 9368)
+++ branches/HivePerformance/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/GriewankEvaluatorTest.cs	(revision 9444)
@@ -92,5 +92,5 @@
       for (int dimension = target.MinimumProblemSize; dimension <= System.Math.Min(10, target.MaximumProblemSize); dimension++) {
         point = target.GetBestKnownSolution(dimension);
-        actual = target.EvaluateFunction(point);
+        actual = target.Evaluate(point);
         Assert.AreEqual(expected, actual);
       }
Index: branches/HivePerformance/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/LevyEvaluatorTest.cs
===================================================================
--- branches/HivePerformance/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/LevyEvaluatorTest.cs	(revision 9368)
+++ branches/HivePerformance/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/LevyEvaluatorTest.cs	(revision 9444)
@@ -92,5 +92,5 @@
       for (int dimension = target.MinimumProblemSize; dimension <= System.Math.Min(10, target.MaximumProblemSize); dimension++) {
         point = target.GetBestKnownSolution(dimension);
-        actual = target.EvaluateFunction(point);
+        actual = target.Evaluate(point);
         Assert.AreEqual(expected, actual);
       }
Index: branches/HivePerformance/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/MatyasEvaluatorTest.cs
===================================================================
--- branches/HivePerformance/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/MatyasEvaluatorTest.cs	(revision 9368)
+++ branches/HivePerformance/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/MatyasEvaluatorTest.cs	(revision 9444)
@@ -92,5 +92,5 @@
       for (int dimension = target.MinimumProblemSize; dimension <= System.Math.Min(10, target.MaximumProblemSize); dimension++) {
         point = target.GetBestKnownSolution(dimension);
-        actual = target.EvaluateFunction(point);
+        actual = target.Evaluate(point);
         Assert.AreEqual(expected, actual);
       }
Index: branches/HivePerformance/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/RastriginEvaluatorTest.cs
===================================================================
--- branches/HivePerformance/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/RastriginEvaluatorTest.cs	(revision 9368)
+++ branches/HivePerformance/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/RastriginEvaluatorTest.cs	(revision 9444)
@@ -92,5 +92,5 @@
       for (int dimension = target.MinimumProblemSize; dimension <= System.Math.Min(10, target.MaximumProblemSize); dimension++) {
         point = target.GetBestKnownSolution(dimension);
-        actual = target.EvaluateFunction(point);
+        actual = target.Evaluate(point);
         Assert.AreEqual(expected, actual);
       }
Index: branches/HivePerformance/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/RosenbrockEvaluatorTest.cs
===================================================================
--- branches/HivePerformance/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/RosenbrockEvaluatorTest.cs	(revision 9368)
+++ branches/HivePerformance/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/RosenbrockEvaluatorTest.cs	(revision 9444)
@@ -92,5 +92,5 @@
       for (int dimension = target.MinimumProblemSize; dimension <= System.Math.Min(10, target.MaximumProblemSize); dimension++) {
         point = target.GetBestKnownSolution(dimension);
-        actual = target.EvaluateFunction(point);
+        actual = target.Evaluate(point);
         Assert.AreEqual(expected, actual);
       }
Index: branches/HivePerformance/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/SphereEvaluatorTest.cs
===================================================================
--- branches/HivePerformance/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/SphereEvaluatorTest.cs	(revision 9368)
+++ branches/HivePerformance/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/SphereEvaluatorTest.cs	(revision 9444)
@@ -92,5 +92,5 @@
       for (int dimension = target.MinimumProblemSize; dimension <= System.Math.Min(10, target.MaximumProblemSize); dimension++) {
         point = target.GetBestKnownSolution(dimension);
-        actual = target.EvaluateFunction(point);
+        actual = target.Evaluate(point);
         Assert.AreEqual(expected, actual);
       }
Index: branches/HivePerformance/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/SumSquaresEvaluatorTest.cs
===================================================================
--- branches/HivePerformance/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/SumSquaresEvaluatorTest.cs	(revision 9368)
+++ branches/HivePerformance/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/SumSquaresEvaluatorTest.cs	(revision 9444)
@@ -92,5 +92,5 @@
       for (int dimension = target.MinimumProblemSize; dimension <= System.Math.Min(10, target.MaximumProblemSize); dimension++) {
         point = target.GetBestKnownSolution(dimension);
-        actual = target.EvaluateFunction(point);
+        actual = target.Evaluate(point);
         Assert.AreEqual(expected, actual);
       }
Index: branches/HivePerformance/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/ZakharovEvaluatorTest.cs
===================================================================
--- branches/HivePerformance/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/ZakharovEvaluatorTest.cs	(revision 9368)
+++ branches/HivePerformance/sources/HeuristicLab.Tests/HeuristicLab.Problems.TestFunctions-3.3/ZakharovEvaluatorTest.cs	(revision 9444)
@@ -92,5 +92,5 @@
       for (int dimension = target.MinimumProblemSize; dimension <= System.Math.Min(10, target.MaximumProblemSize); dimension++) {
         point = target.GetBestKnownSolution(dimension);
-        actual = target.EvaluateFunction(point);
+        actual = target.Evaluate(point);
         Assert.AreEqual(expected, actual);
       }
